Bug 186732 - The current set of iso's cannot be used to install FC-5 on some G4 powermacs
The current set of iso's cannot be used to install FC-5 on some G4 powermacs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
: 183278 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 16:25 EST by Joseph Sacco
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 10:06:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2006-03-25 16:25:07 EST
System: powermac with dual G4 533MHz CPU's, 1GB RAM, SCSI drives, nvidia
GeForce2 MX video card
==============================================================================

The current set of iso's cannot be used to install FC-5 on this system.

Here is what happens:
* boot up off FC-5-ppc-disc1
==> see stage 1 boot prompt
* select default target 'linux'
==> see some text stream by followed by a blank screen

Note: attempting to boot using additional arguments such as 'video=ofbonly' or
'text' does not help.

The source of the problem is the offb video driver, which  in 2.6.15 is broken.
We experienced the same problem during the beta-test phase of YDL-4.1. See

http://ftp.sunsite.utk.edu/ftp/pub/linux/yellowdog/releases/yellowdog-4.1/en/os/SRPMS/kernel-2.6.15-rc5.ydl.1.src.rpm

for a set of patches.

-Joseph
Comment 1 Hakan Franzen 2006-03-27 09:18:47 EST
Can verify exactly the same problem on the powermac.
Comment 2 Joseph Sacco 2006-03-27 09:49:31 EST
The "problem" with the offb video driver first appeared in the 2.6.15.x series
and persists in 2.6.16. 

For what it's worth, the nvidia/riva driver ceased working with a GeForce2MX
card sometime after ththe 2.4.x series ended.


-Joseph
Comment 3 David Woodhouse 2006-04-02 08:48:37 EDT
Can you be more specific about which patch is supposed to fix the problem? We
did add a patch from Ben Herrenschmidt which changes the way that offb finds its
framebuffer, which should be in the rawhide 2.6.16-1.2111_FC6 kernel and later --
please try
http://download.fedora.redhat.com/pub/fedora/linux/core/development/ppc/images/boot.iso
with 'video=ofonly' (not 'video=ofbonly') and report what happens.
Comment 4 Joseph Sacco 2006-04-02 10:39:59 EDT
David,

Good news... boot.iso works with or without the 'video=ofonly' option set.

* ram disk loads
* The GeForce2MX video card is recognized,
albeit in 8-bit mode [the penguin looks ill]
* The 22" Apple Cinema Display is detected
although the 1600x1024 mode is reported as "unsupported"
* screen turns blue
* text based language/locale selector appears

As for the video=ofonly option...  I retested disc#1 to make sure that the typo
in the bug report is really a typo. It is. Using disc#1, I see 'loading ram
disk' followed by a brief spew of text after which the screen turns completely
black and remains black.

As for the YDL kernel... I would think that the relevant patch effecting offb is
linux-2.6.15-offb.patch [:-)]. I applied the entire set of YDL patches to the
2.6.15.6 source and built a kernel that I am currently running with YDL-4.1.  I
made an attempt to apply the same set of patches to 2.6.16 but have not [yet]
been successful. Many things appear to have changed in 2.6.16

As for the nvidia/riva drivers... These have not worked with a GeForce2MX card
since the end of the 2.4.x series. As a consequence,  I can no longer run
MacOnLinux in 'console mode'. Ben H. has told me that these drivers should work
with a GeForce2MX card. Ben also said he did not have the time to fix them and
suggested I prod the kernel folks. I have prodded the kernel folks a number of
times without success.

-Joseph
Comment 5 keifer miller 2006-08-28 15:07:43 EDT
*** Bug 183278 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2006-10-16 15:32:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.